clang-tools 10.0.0

Namespaces
DiagnosticsTests.cpp File Reference
`#include "Annotations.h"`
`#include "Diagnostics.h"`
`#include "ParsedAST.h"`
`#include "Path.h"`
`#include "Protocol.h"`
`#include "SourceCode.h"`
`#include "TestFS.h"`
`#include "TestIndex.h"`
`#include "TestTU.h"`
`#include "index/MemIndex.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/DiagnosticSema.h"`
`#include "llvm/Support/ScopedPrinter.h"`
`#include "llvm/Support/TargetSelect.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
`#include <algorithm>`
Include dependency graph for DiagnosticsTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ DeclaringFile

std::string DeclaringFile

Definition at line 524 of file DiagnosticsTests.cpp.

## ◆ IncludeHeader

std::string IncludeHeader

Definition at line 525 of file DiagnosticsTests.cpp.

## ◆ QName

std::string QName

Definition at line 523 of file DiagnosticsTests.cpp.

Referenced by clang::clangd::generateSymbols(), clang::clangd::printQualifiedName(), clang::clangd::sym(), clang::clangd::symbol(), and clang::clangd::TEST_F().